Skip to main content
`Ctrl`+`K`

# DMShellSetCreateInterpolation

Set the routine used to create the interpolation operator

## Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetCreateInterpolation(DM dm, PetscErrorCode (*interp)(DM, DM, Mat *, Vec *))

Logically Collective

## Input Parameters

- dm - the `DMSHELL`

- interp - the routine to create the interpolation

## See Also

`DM`, `DMSHELL`, `DMShellSetCreateInjection()`, `DMCreateInterpolation()`, `DMShellGetCreateInterpolation()`, `DMShellSetCreateRestriction()`, `DMShellSetContext()`, `DMShellGetContext()`

## Level

advanced

## Location

src/dm/impls/shell/dmshell.c

## Examples

src/ksp/ksp/tutorials/ex65.c
src/ksp/ksp/tutorials/ex73.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages